## org.hibernate.persister
Class PersisterFactory

    java.lang.Object
      org.hibernate.persister.PersisterFactory

    public final class PersisterFactory

extends Object

Factory for `EntityPersister` and `CollectionPersister` instances

Author:
  Gavin King

Method Summary
`static EntityPersister` `createClassPersister(PersistentClass model, EntityRegionAccessStrategy cacheAccessStrategy, SessionFactoryImplementor factory, Mapping cfg)`
`static CollectionPersister` `createCollectionPersister(Configuration cfg, Collection model, CollectionRegionAccessStrategy cacheAccessStrategy, SessionFactoryImplementor factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createClassPersister

    public static EntityPersister createClassPersister(PersistentClass model,
                                                       EntityRegionAccessStrategy cacheAccessStrategy,
                                                       SessionFactoryImplementor factory,
                                                       Mapping cfg)
                                                throws HibernateException

  Throws:
    `HibernateException`

### createCollectionPersister

    public static CollectionPersister createCollectionPersister(Configuration cfg,
                                                                Collection model,
                                                                CollectionRegionAccessStrategy cacheAccessStrategy,
                                                                SessionFactoryImplementor factory)
                                                         throws HibernateException

  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.